UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 21137

LogiCORE SPI-4.2 (POS-PHY L4) v6.2 - ISE7.1i との互換性

説明

資料:

SPI4.2 v6.2 コアは ISE7.1i と互換性はありますか。

ソリューション

SPI4.2 v6.2 コアは、ISE6.3i で公式にサポートされています。このコアは ISE7.1i CORE Generator では生成できません。SPI4.2 v6.2 コアを ISE6.3i の CORE Generator で既に生成している場合、ISE 7.1i を使用してデザインをインプリメント (変換、MAP、PAR、BitGen) することが可能です。

スタティック アライメント モード用に SPI4.2 コアをコンフィギュレーションしている場合は、ISE7.1i で問題なくインプリメントすることができます。

ダイナミック アライメント モード (DPA) 用に SPI4.2 コアをコンフィギュレーションしている場合は、次のような MAP エラーを回避するために以下の回避策を使用してください。

"ERROR:MapLib:688 - Pin CATALIN in LOCK_PINS constraint does not exist."

SPI4.2 v6.2 DPA の回避策 (ISE7.1i)

Unix/Linux

1. SPI-4.2 v6.2 コアを ISE 6.3i で生成します (コアが既に生成されている場合は次の手順に進みます)。

2. SPI4.2 ラウンジに移動します。

http://japan.xilinx.com/ipcenter/posphyl4/posl4mc_member/spi42_v61.htm
この SPI4.2 ラウンジにアクセスするにはパスワードが必要です。

3. spi_dpa_71i.sh スクリプトをダウンロードし、プロジェクト ディレクトリにコピーします。

4. ネットリスト名をスクリプト実行時に入力し、スクリプトを実行します。

> spi_dpa_71i.sh <component_name>_pl4_snk_top.edf

または

>./spi_dpa_71i.sh <component_name>_pl4_snk_top.edf ( 「./」が UNIX 環境で必要な場合があります)

5. EDF ネットリストを開き、「CATALIN」を検索します。この文字列のインスタンスは残っていないはずです。

6. これで SPI4.2 デザインを ISE7.1i でインプリメントできます。

PC

1. SPI-4.2 v6.2 コアを ISE 6.3i で生成します (コアが既に生成されている場合は次の手順に進みます)。

2. 次の ZIP ファイルをテンポラリ ディレクトリにダウンロードして解凍します。

http://japan.xilinx.com/ipcenter/posphyl4/posl4mc_member/spi42_v61.htm
この SPI4.2 ラウンジにアクセスするにはパスワードが必要です。

3. spi_dpa_71i.exe をプロジェクト ディレクトリにコピーします。

4. ネットリスト名を指定してスクリプトを実行します。

> spi_dpa_71i.exe <component_name>_pl4_snk_top.edf

(スクリプトが完了するのに数分かかることがあります。)

5. EDF ネットリストを開き、「CATALIN」を検索します。この文字列のインスタンスは残っていないはずです。

6. これで SPI4.2 デザインを ISE7.1i でインプリメントできます。

AR# 21137
日付 12/15/2012
ステータス アクティブ
種類 一般
このページをブックマークに追加